Delete app
curl --request DELETE \
--url https://managexrapi.com/v1/apps/{packageName} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/apps/{packageName}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/apps/{packageName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "Invalid app type: foo",
"error": "ManageXR Error"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "App with package name com.example.app not found",
"error": "ManageXR Error"
}Apps
Delete App
Removes application and all versions from ManageXR.
DELETE
/
v1
/
apps
/
{packageName}
Delete app
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The package name of the app
Query Parameters
App type to delete.
• If not set, defaults to managed.
Behavior by type
| type | Deletion scope |
|---|---|
| managed | Deletes the managed app and all managed versions. |
| shared | Deletes the shared app for your organization only (the owner org keeps its copy). |
| instant | Deletes the instant app for your organization only (the owner org keeps its copy). |
| external | Deletes the external app. |
Available options:
managed, shared, instant, external Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Response
App deleted successfully
⌘I